Package: org.grails.taglib.encoder

## [Java] Class DefaultOutputContext

- org.grails.taglib.encoder.DefaultOutputContextLookup.DefaultOutputContext

- All Implemented Interfaces and Traits:
    OutputContext

      public static class DefaultOutputContextLookup.DefaultOutputContext

- - ### Constructor Summary

    Constructors
    Constructor and description
    `DefaultOutputContextLookup.DefaultOutputContext ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `AbstractTemplateVariableBinding` | `createAndRegisterRootBinding()`
    `` | `AbstractTemplateVariableBinding` | `getBinding()`
    `` | `OutputEncodingStack` | `getCurrentOutputEncodingStack()`
    `` | `java.io.Writer` | `getCurrentWriter()`
    `` | `EncodingStateRegistry` | `getEncodingStateRegistry()`
    `` | `GrailsApplication` | `getGrailsApplication()`
    `` | `boolean` | `isContentTypeAlreadySet()`
    `` | `void` | `setBinding(AbstractTemplateVariableBinding binding)`
    `` | `void` | `setContentType(java.lang.String contentType)`
    `` | `void` | `setCurrentOutputEncodingStack(OutputEncodingStack outputEncodingStack)`
    `` | `void` | `setCurrentWriter(java.io.Writer currentWriter)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### public DefaultOutputContextLookup.DefaultOutputContext()

  - ### Method Detail

    - #### @java.lang.Override public AbstractTemplateVariableBinding createAndRegisterRootBinding()

    - #### @java.lang.Override public AbstractTemplateVariableBinding getBinding()

    - #### @java.lang.Override public OutputEncodingStack getCurrentOutputEncodingStack()

    - #### @java.lang.Override public java.io.Writer getCurrentWriter()

    - #### @java.lang.Override public EncodingStateRegistry getEncodingStateRegistry()

    - #### @java.lang.Override public GrailsApplication getGrailsApplication()

    - #### @java.lang.Override public boolean isContentTypeAlreadySet()

    - #### @java.lang.Override public void setBinding(AbstractTemplateVariableBinding binding)

    - #### @java.lang.Override public void setContentType(java.lang.String contentType)

    - #### @java.lang.Override public void setCurrentOutputEncodingStack(OutputEncodingStack outputEncodingStack)

    - #### @java.lang.Override public void setCurrentWriter(java.io.Writer currentWriter)